html {
    scroll-padding-top: var(--rem-base-64);
}

@media screen and (max-width: 39.9375em) {
    section {
        margin-left: auto;
        margin-right: auto;
        padding: var(--rem-base-64) var(--rem-base-24);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    section {
        margin-left: auto;
        margin-right: auto;
        padding: var(--rem-base-64) var(--rem-base-24);
    }
}

@media screen and (min-width: 64em) {
    section {
        margin-left: auto;
        margin-right: auto;
        padding: var(--rem-base-80) var(--rem-base-176);
    }
}


@media screen and (max-width: 63.9375em) {
    header {
        padding: 0 var(--rem-base-24);
    }
  }

header {
    font-family: var(--ff-inter);
    
        & img {
            margin-bottom: .24rem;
        }

        & p {
            color: var(--color-neutral-light-800);

            &.compact {
                margin-left: var(--rem-base-24);
                margin-bottom: 0;
            }
        }

        & ul li:last-child {

            & a {
                font-weight: normal;
                color: var(--color-secondary-800);

                & span {
                    color: var(--color-primary-800);
                    cursor: default;

                }

                &:hover {
                    color: var(--color-primary-800);
                }
            }
        
        }

        & ul li a:hover svg path {
            fill: var(--color-primary-800);
        }

         .top-bar {
            padding: var(--rem-base-24) var(--rem-base-32);
            background-color: var(--color-neutral-dark-800);
        }

        .top-bar-left ul li a {
            padding: 0;
        }

        & .top-bar-right ul li:last-child {
            margin-left: var(--rem-base-200);

            & a {
                margin-left: var(--rem-base-8);
            }
        }

        & .top-bar-right .menu.simple.align-right li:not(:last-child) {
            margin-right: var(--rem-base-24);
        }

        & a {
            color: var(--color-neutral-light-800);
            -webkit-transition: color 0.15s ease-out;
            transition: color 0.15s ease-out;

            &:hover {
                color: var(--color-primary-800);
            }
            
            & span {
                margin-left: var(--rem-base-4);
            }

        }

}

@media screen and (max-width: 39.9375em) {
    header a {
        font-size: larger;

            & span {
                margin-left: .1rem;
            }

    }

    & ul li:last-child {      
        & a {
            font-weight: normal;
        }
    }
}

.language-selector {
    float: right;
    display: flex;

    & a {
        transition: color 0.3s;
    }

    & a.active {
        font-weight: bold;
        color: var(--color-primary-800);
    }
}

/*RESPONSIVE MENU*/

.menu-icon {
    position: fixed;
    right: var(--rem-base-24);
}

.fullscreen-menu {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-neutral-dark-800);
    z-index: 9999;
    text-align: right;
    padding-top: 20%;
    opacity: 0;
    transform: translateY(-100%);
    transition: opacity 0.5s ease, transform 0.5s ease;

    & img {
        margin-left: 20px;
    }
}
.fullscreen-menu.show {
    opacity: 1;
    transform: translateY(0);
}
.fullscreen-menu a {
    display: block;
    color: #fff;
    
    margin: 25px ;
    text-decoration: none;
    opacity: 0;
    transform: translateY(-20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}
.fullscreen-menu.show a {
    opacity: 1;
    transform: translateY(0);
}

/*HERO*/

@media screen and (max-width: 39.9375em) {
    .hero {
        padding: var(--rem-base-64) var(--rem-base-24);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    .hero {
        padding: var(--rem-base-64) var(--rem-base-24);
    }
}

@media screen and (min-width: 64em) {
    .hero {
        padding-top: var(--rem-base-176);
        padding-bottom: var(--rem-base-96);
        padding-left: var(--rem-base-176);
        padding-right: var(--rem-base-176);
    }
}



.default {

    & h1,h2,h3,h4,h5,h6 {
        color: var(--color-neutral-light-800);
        font-weight: 550;

        & span {
            color: var(--color-primary-800);
        }
    }

    & p {
        margin-top: var(--rem-base-24);
        color: var(--color-secondary-800);

        & span {
            color: var(--color-primary-800);
        }
    }
}

.hero {

    & h1 {
        font-family: var(--ff-manrope);
        color: var(--color-neutral-light-800);
        margin-bottom: var(--rem-base-64);

        & span {
            color: var(--color-primary-800);
        }
    }

    & h2 {
        font-weight: bold;
        color: var(--color-neutral-light-800);
    }

    & h3 {
        color: var(--color-secondary-800);
        margin-bottom: var(--rem-base-48);
    }

    & p {
        color: var(--color-secondary-800);

        & a {
            color: var(--color-primary-800);
        }
    }

    & div.shrink p:first-child {
        color: var(--color-neutral-light-800);
        
    }

    & div.shrink p:last-child {
        color: var(--color-secondary-800);
        font-size: var(--rem-base);
        line-height: .7;
    }

    & div.flex-container {

        & p {
            color: var(--color-secondary-800);
            padding-left: var(--rem-base-18);
            padding-right: var(--rem-base-18);
            margin: 0;
            line-height: 1.2;
        }
    }

    & a.button {
        margin-top: var(--rem-base-32);
    }
}

.bullet-text {
    display: flex;
    align-items: center;
}

.text {
    color: var(--color-secondary-800);
}

.bullet {
    width: 8px;
    height: 8px;
    background-color: var(--color-bonus-800);
    border-radius: 50%;
    margin-right: 8px;
}

/*SKILLS*/

#skills {
    background-color: var(--color-primary-800);

    & h2 {
        font-family: var(--ff-manrope);
        font-weight: bold;
        color: var(--color-neutral-dark-800);
        margin-bottom: var(--rem-base);
    }

    & h6 {
        font-family: var(--ff-inter);
        font-weight: bold;
        color: var(--color-neutral-dark-800);
        margin-top: var(--rem-base-64);
    }

    & p:not(:first-child) {
        font-size: var(--rem-base);        
    }
}

/*WORKS*/

#works {

    & h2 {
        font-family: var(--ff-manrope);
        color: var(--color-primary-800);
   
    }
}

.thumb-card {


    margin-top: var(--rem-base-80);
    position: relative;

    & h3 {
        font-weight: bold;
        color: var(--color-neutral-light-800);
    }

    & h5 {
        color: var(--color-secondary-800);
        margin-bottom: var(--rem-base-24);
    }

    & p small {
        line-height: 0!important;
        color: var(--color-secondary-800);
    }

    & .thumb-card-img {
        position: relative;
        overflow: hidden;
  

        & img {
            display: block;
            transition: transform 0.5s ease;
        }

        & .overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(255, 255, 255, 0.2);
            opacity: 0;
            transition: opacity 0.5s ease;
            pointer-events: none;
            z-index: 1;
        }

        &:hover img {
            transform: scale(1.1);
        }

        &:hover .overlay {
            opacity: 1;
        }
    }
}

.status {
  position: absolute;
  top: var(--rem-base);
  right: var(--rem-base);
  padding: 0.35rem 0.65rem;
  font-size: 0.80rem;
  font-weight: bold;
  font-family: var(--ff-inter);
  color: white;
  border-radius: var(--rem-base-8);
  z-index: 2;
  pointer-events: none;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.25);
}

.status.shipped {
  background-color: var(--color-bonus-800);
}

.status.archived {
  background-color: var(--color-alert-800);
}


/*BIO*/

#bio {
    background-color: var(--color-primary-800);

    & h2 {
        font-family: var(--ff-manrope);
        color: var(--color-neutral-dark-800);
        margin-bottom: var(--rem-base-64);
    }

    & h5:first-child {
        line-height: 1.5;
        font-weight: bold;
        margin-bottom: var(--rem-base-64);
    }
}

.job-desc {
    margin-top: var(--rem-base-64);
    margin-bottom: var(--rem-base-88);

    & h5 {
        color: var(--color-neutral-dark-800);
        margin: 0!important;

        & span {
            font-weight: bold;
        }

    }

    & h2 {
        margin: 0!important;
    }

    & p {
        font-size: var(--rem-base)!important;
        font-weight: 550;
    }

    & img {
        margin-bottom: var(--rem-base-18);
    }
}

.tag-container {
    display: flex;
    flex-wrap: wrap;
    border-top: 1px dashed var(--color-accent-800);
    padding-top: var(--rem-base-24);
}

.tag {
    display: flex;
    border: 1px solid var(--color-accent-800);
    padding: var(--rem-base-24) var(--rem-base);
    width: fit-content;
    line-height: 0;
    border-radius: var(--rem-base-12);
    color: var(--color-neutral-dark-600);
    font-weight: 500;
    font-size: 120%;
    margin-bottom: var(--rem-base-32);
    margin-right: var(--rem-base);
}

/*CONTACT*/

#contact {
    background-color: var(--color-neutral-dark-800);

    & h2 {
        color: var(--color-primary-800);
    }

    & p {
        color: var(--color-secondary-800);
        margin-top: var(--rem-base-32);
    }

    & h1 {
        color: var(--color-secondary-800);
        font-weight: bold;
        margin-top: var(--rem-base-64);

        & a {
            color: var(--color-neutral-light-800);

            &:hover {
                color: var(--color-primary-800);
            }
        }
    }
}

/*FOOTER*/

@media screen and (max-width: 39.9375em) {
    footer {
        padding: var(--rem-base-32) var(--rem-base-24) var(--rem-base-64);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    footer {
        padding: var(--rem-base-32) var(--rem-base-24) var(--rem-base-64);
    }
}

@media screen and (min-width: 64em) {
    footer {
        padding: var(--rem-base-64) var(--rem-base-176) var(--rem-base-88);
    }
}

footer {

    color: var(--color-secondary-800);

    & > div:first-child {
        padding-top: var(--rem-base-24);
        border-top: 1px solid var(--color-neutral-light-800);
    }

    & p:first-child {
        color: var(--color-primary-800);
    }

    & .menu {
        margin-top: var(--rem-base-32)!important;
      }

      & .menu a {
        color: var(--color-secondary-800);
        padding: 0.7rem 0;


        &:hover {
            color: var(--color-primary-800);
        }

        &:hover svg path {
            fill: var(--color-primary-800);
            -webkit-transition: fill 0.15s ease-out;
            transition: fill 0.15s ease-out;
        }
      }

    & h2 {
        margin-top: var(--rem-base-64);
        font-family: var(--ff-inter);
    }

}


/*ASSETS*/

.color-primary {
    color: var(--color-primary-800);
}


@media screen and (max-width: 39.9375em) {
    a.button {
        font-size: calc( var(--rem-base) * 1.2);
    }
}

@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    a.button{
        font-size: calc( var(--rem-base) * 1.5);
    }
}

@media screen and (min-width: 64em) {
    a.button{
        font-size: calc( var(--rem-base) * 1.5);
    }
}

a.button {
    padding: 0;
    background-color: transparent;
    font-weight: 600;
    border: none;
    color: var(--color-primary-800);

    &:hover {
        background-color: transparent;
        color: var(--color-neutral-light-800);
    }

    & svg {
        margin-left: var(--rem-base-8);
    }
    
    &:hover svg path {
        fill: var(--color-neutral-light-800);
        stroke: var(--color-neutral-light-800);
        -webkit-transition: fill 0.15s ease-out, stroke 0.15s ease-out;
        transition: fill 0.15s ease-out, stroke 0.15s ease-out;
    }

    &:focus {
        color: var(--color-primary-800);
        background-color: transparent;
    }

}

    a:focus {
        color: var(--color-primary-800);
        background-color: transparent;

        & svg path {
            fill: var(--color-primary-800);
        }
    }

    video {
        border: 1px solid #000000;
        border-radius: 12px;
    }

/*JOBS*/

@media screen and (max-width: 39.9375em) {
    section.full-width {
        padding: 0;
        margin-left: var(--rem-base-32);
        margin-right: var(--rem-base-32);
  }
}
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    section.full-width {
        padding: 0;
        margin-left: var(--rem-base-32);
        margin-right: var(--rem-base-32);
    }
}

@media screen and (min-width: 64em) {
    section.full-width {
        padding: 0;
        margin-top: var(--rem-base-88);
        margin-bottom: var(--rem-base-64);
    }
}

.full-width {

    & h3 {
        color: var(--color-neutral-light-800);
        font-weight: 550;
        margin-bottom: var(--rem-base-40);
    }

    & h4 {
        color: var(--color-primary-800)
    }

    & h5 {
        color: var(--color-secondary-800);

        &:last-child {
            margin-bottom: var(--rem-base-64);
        }
    } 
}

#sub-hero {
    & p {
        color: var(--color-secondary-800);
        line-height: 1.8;
    }
}

.job-intro {

    & h4 {
        color: var(--color-primary-800);
    }

    & h5 {
        color: var(--color-secondary-800);
        line-height: 1.8;
        font-family: var(--ff-inter);
    }

    & h6 {
        color: var(--color-neutral-light-800);
        font-weight: bold;
        font-family: var(--ff-inter);
        margin-top: var(--rem-base-64);
    }

    & p {
        color: var(--color-secondary-800);
        line-height: 1.8;
    }

}

.toc-thumb {
    background-color: var(--color-secondary-800);
    padding: var(--rem-base-32) var(--rem-base);
    margin-top: 2px;
    margin-right: 2px;
    display: flex;
    align-items: center;
    

    &:hover {
        background-color: #E2E2E5;
    }

    h6 {
        color: var(--color-neutral-dark-800);
        font-family: var(--ff-inter);
        font-size: 100%;
        font-weight: 600;
    }

}



@media screen and (max-width: 39.9375em) {
    .white-bg {
        padding: var(--rem-base-32) var(--rem-base);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    .white-bg {
        margin: var(--rem-base-64) var(--rem-base-24);
    }
}

@media screen and (min-width: 64em) {
    .white-bg {
        margin-top: var(--rem-base-4);
        margin-bottom: var(--rem-base-96);
        margin-left: var(--rem-base-176);
        margin-right: var(--rem-base-176);
        padding: var(--rem-base-48) var(--rem-base-48);
    }
}

.white-bg {
    background-color: var(--color-neutral-light-800);
    border-radius: var(--rem-base-18);

    & h4 {
        color: var(--color-neutral-dark-800);
        font-weight: bold;
    }

    & img {
        margin-top: var(--rem-base-40);
        margin-bottom: var(--rem-base-24);
    }
}

@media screen and (max-width: 39.9375em) {
    .inner-desc {
        padding: var(--rem-base);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    .inner-desc {
        padding: var(--rem-base-64) var(--rem-base-24);
    }
}

@media screen and (min-width: 64em) {
    .inner-desc {
        padding: var(--rem-base-48) var(--rem-base-48);
    }
}

.inner-desc {
    background-color: #F2F2F2;
    border-radius: var(--rem-base-18);

    & h1,h2,h3,h4,h5,h6 {
        color: var(--color-neutral-dark-800);
        font-weight: bold;
    }

    & p {
        color: var(--color-neutral-dark-800);
    }

}

@media screen and (max-width: 39.9375em) {
    .highlight {
        padding: var(--rem-base);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    .highlight {
        padding: var(--rem-base-64) var(--rem-base-24);
    }
}

@media screen and (min-width: 64em) {
    .highlight {
        padding: var(--rem-base-48) 0;
    }
}

.highlight {
    background-color: #e1e1e1;
    border-radius: var(--rem-base-18);

    & h1,h2,h3,h4,h5,h6 {
        color: var(--color-neutral-dark-800);
        font-weight: bold;
        margin-bottom: var(--rem-base-32);
    }

    & p {
        color: var(--color-neutral-dark-800);
        font-family: var(--ff-inter);
    }

    & img {
        margin-top: var(--rem-base-24);
        margin-bottom: var(--rem-base-24);
    }

}

@media screen and (max-width: 39.9375em) {
    .border-white {
        margin: var(--rem-base-24);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    .border-white {
        margin: var(--rem-base-64) var(--rem-base-24);
    }
}

@media screen and (min-width: 64em) {
    .border-white {
        margin: var(--rem-base-80) var(--rem-base-176);
        padding: var(--rem-base-48);
    }
}

.border-white {
    border: 1px solid var(--color-secondary-800);
    border-radius: var(--rem-base-18);

    & div:first-child {
        margin-bottom: var(--rem-base-32);
    }

    & h4 {
        color: var(--color-neutral-light-800);
        font-weight: bold;
    }

    & h5,p {
        color: var(--color-neutral-light-800);
    }

    & small {
        color: var(--color-neutral-light-800);
        border-top: 1px solid var(--color-neutral-light-800);
    }

    & img {
        margin-bottom: var(--rem-base-8);
    }
}


.full-bg-light {
    background-color: var(--color-neutral-light-800);

    & img {
        margin-top: var(--rem-base-24);
        margin-bottom: var(--rem-base-24);
    }

    & h4 {
        font-weight: bold;
    }

    & p {
        margin-top: var(--rem-base-18);
    }

    & h5 {
        margin-top: var(--rem-base-32);
    }

}


@media screen and (max-width: 39.9375em) {
    #job-footer {
        padding: var(--rem-base-64) var(--rem-base-24);
    }
  }
  
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
    #job-footer {
        padding: var(--rem-base-64) var(--rem-base-24);
    }
}

@media screen and (min-width: 64em) {
    #job-footer {
        padding: var(--rem-base-64) var(--rem-base-176);
    }
}

#job-footer {

    & h3 {
        color: var(--color-neutral-light-800);
        margin-bottom: var(--rem-base-64);
    }

    & h4 {
        color: var(--color-secondary-800);
    }

    & p {
        color: var(--color-neutral-light-800);
        margin-top: var(--rem-base-24);
        margin-bottom: var(--rem-base-80);
    }

    & a {
        color: var(--color-primary-800);
    }

    & a.button {
        color: var(--color-primary-800);
        display:table;
        &:hover {
            color: var(--color-neutral-light-800);
        }
    }
}

/*PAO-DS*/

#grid-system {

    & h4 {
        color: var(--color-neutral-light-800);
        margin-bottom: var(--rem-base-32);
        font-weight: bold;
    }
    
    & p {
        color: var(--color-secondary-800);
    }
}

.grid-thumb {

    margin-top: var(--rem-base-32);

    & p:first-child {
        font-weight: bold;
    }
}

#input {
    background-color: #F4F6F9;

    & img {
        margin-top: var(--rem-base-64);
    }
}

#icons {
    background-color: var(--color-secondary-800);

    & h4 {
        font-weight: bold;
    }

    & p {
        margin-top: var(--rem-base-32);
        margin-bottom: var(--rem-base-64);
        color: var(--color-accent-800);
    }

    & img {
        margin-top: var(--rem-base-32);
    }
}


.dark-800 {
    background-color: #000000;
    height: 200px;
}

.dark-700 {
    background-color: #192325;
    height: 200px;
}

.dark-600 {
    background-color: #4D4D52;
    height: 200px;
}

.dark-500 {
    background-color: #79797E;
    height: 200px;
}

.dark-400 {
    background-color: #9B9BA0;
    height: 200px;
}

.light-800 {
    background-color: #FFFFFF;
    height: 200px;
}

.light-700 {
    background-color: #C3C3C8;
    height: 200px;
}

.light-600 {
    background-color: #E2E2E5;
    height: 200px;
}

.light-500 {
    background-color: #F2F2F5;
    height: 200px;
}

.light-400 {
    background-color: #F8F8F8;
    height: 200px;
}

/*CAROUSEL*/

.carousel-container {
    position: relative;
    width: 100%;
    overflow: hidden;
  }

  .carousel {
    display: flex;
    transition: transform 0.5s ease-in-out;
  }

  .carousel-item {
    box-sizing: border-box;
    padding: var(--rem-base-8);
    opacity: 0.2;
    transition: opacity 0.5s;
  }

  .carousel-item.active {
    opacity: 1;
  }

  .carousel-item img {
    width: 100%;
    display: block;
    
  }

  .text-container {

    & h3 {
        opacity: 0;
        transition: opacity 0.5s;
        color: var(--color-primary-800);
        font-family: var(--ff-manrope);
        margin: 0;
      }

      & p {
        margin-top: var(--rem-base-8);
        color: var(--color-neutral-light-800);
        opacity: 0;
        transition: opacity 0.5s;
        font-family: var(--ff-inter);
      }

  }

  .text-container .active {
    opacity: 1;
  }

  .carousel-navigation {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    margin: 10px;
  }

  .carousel-navigation button {
    border: none;
    background-color: #333;
    color: white;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
  }

  .carousel-navigation button:hover {
    background-color: #555;
  }

  .carousel-navigation button svg {
    width: 24px;
    height: 24px;
    fill: var(--color-neutral-light-800);
  }

@media screen and (max-width: 39.9375em) {
    .carousel-item {
        flex: 0 0 100%;
    }
}

@media screen and (min-width: 40em) {
    .carousel-item {
        flex: 0 0 50%;
      }
}



  /**/
